<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="INTEGER.html"><font color="#008000">INTEGER</font></a> -> 
  <br><font FACE="Sans-serif" color="#000000"><B> Integer: </B></font>
  <a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>,  <a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a>, <a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>, <a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a>,
  <a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a> ,  <a href="INTEGER_16.html"><font color="#008000">INTEGER_16</font></a> , <a href="INTEGER_32.html"><font color="#008000">INTEGER_32</font></a> , <a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> ,
  <a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a>,<a href="INTEGER_BIG.html"><font color="#008000">INTEGER_BIG</font></a>,
  <br><font FACE="Sans-serif" color="#000000"><B> Fixed real:</B></font>
  <a href="UREAL_16_16.html"><font color="#008000">UREAL_16_16</font></a>, <a href="UREAL_24_8.html"><font color="#008000">UREAL_24_8</font></a> , <a href="UREAL_26_6.html"><font color="#008000">UREAL_26_6</font></a> , 
  <a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a> , <a href="REAL_24_8.html"><font color="#008000">REAL_24_8</font></a>  , <a href="REAL_26_6.html"><font color="#008000">REAL_26_6</font></a>  , 
  <br><font FACE="Sans-serif" color="#000000"><B> Float Real:</B></font>
  <a href="REAL.html"><font color="#008000">REAL</font></a>, <a href="REAL_32.html"><font color="#008000">REAL_32</font></a>, <a href="REAL_64.html"><font color="#008000">REAL_64</font></a>, <a href="REAL_80.html"><font color="#008000">REAL_80</font></a>,
  <br><font FACE="Sans-serif" color="#000000"><B> Other:</B></font>
  <a href="POINTER.html"><font color="#008000">POINTER</font></a>;
 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Generic Integer."</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">type</font></strong>    := <em><strong><font color="#A4DEA4">`int`</font></strong></em>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">default</font></strong> := <font color="#A020F0">0</font>;

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_numeric</font></strong>:<a href="NUMERIC.html"><font color="#008000">NUMERIC</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Range.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">maximum</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> <-  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">minimum</font></strong>:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a>  <-  
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Binary Operator.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">%</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<font color="#008000">SELF</font>    :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">%#</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">**</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">120</font> exp:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pow</font></strong> exp:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conversion format with test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bound_test</font></strong> low:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> <strong><font color="#0000FF">to</font></strong> up:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
<br><font FACE="Sans-serif" color="#000000"><B>  - to_integer:INTEGER <- Self;</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_pointer</font></strong>:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> BCD Format. </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_binary</font></strong>:<font color="#008000">SELF</font> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Self is BCD formatted, convert to binary value</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_bcd</font></strong>:<font color="#008000">SELF</font> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Self is binary formatted, convert to bcd value</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Facility typing.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">kb</font></strong>:<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">mb</font></strong>:<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">gb</font></strong>:<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">tb</font></strong>:<font color="#008000">SELF</font> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Logic Operator</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">&</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">|</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">^</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">>></font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B"><<</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Unary operator</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">~</font>' :<font color="#008000">SELF</font> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp (-SELF.one) - Self;</font></strong></em>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Test. </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">align_power</font></strong> step:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_power_2</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Function :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sqrt</font></strong>:<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">factorial</font></strong>:<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fibonacci</font></strong>:<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_odd</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>  <-   <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Is odd ?</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_even</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Is even ?</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">gcd</font></strong> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Great Common Divisor of `self' and `other'.</font></strong></em>
   
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Random</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">random</font></strong> :<font color="#008000">SELF</font> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Random number between 0 to `maximum' in SELF.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">random_upper</font></strong> upper:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Random number between 0 to `upper'.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">random_between</font></strong> lower:<font color="#008000">SELF</font> <strong><font color="#0000FF">and</font></strong> upper:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Random number between `lower' to `upper'.</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Looping.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">times</font></strong> action:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Convertion</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append in the `buffer' the equivalent of `to_string'. No new STRING</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  creation during the process.</font></strong></em>
 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">decimal_digit</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Gives the corresponding CHARACTER for range 0..9.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">digit</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">hexadecimal_digit</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Gives the corresponding CHARACTER for range 0..15.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_character</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Return the coresponding ASCII character.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_octal</font></strong>:<font color="#008000">SELF</font> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Gives coresponding octal value.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_hexadecimal</font></strong>:<a href="STRING.html"><font color="#008000">STRING</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Convert the hexadecimal view of `self' into a new allocated</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  STRING. For example, if `self' is -1 the new STRING is</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  "FFFFFFFF" on a 32 bit machine.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Note: see also `to_hexadecimal_in' to save memory.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_hexadecimal_format</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="STRING.html"><font color="#008000">STRING</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Convert the hexadecimal view of `self' into a new allocated</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  STRING. For example, if `self' is -1 the new STRING is</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  "FFFFFFFF" on a 32 bit machine.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Note: see also `to_hexadecimal_in' to save memory.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_hexadecimal_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append in `buffer' the equivalent of `to_hexadecimal'. No new STRING</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  creation during the process.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_hexadecimal_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">format</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append in `buffer' the equivalent of `to_hexadecimal'. No new STRING</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  creation during the process.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_binary_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">format</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append in `buffer' the equivalent of `to_binary_string'. No new STRING</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  creation during the process.</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Hashing:</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">hash_code</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  BSBS:  Il faut revoir => Depending processor</font></strong></em>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Print</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_positif</font></strong> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Display this number without memory.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_hex</font></strong> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Display this number without memory.</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Debug manager facility.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">?</font>' blc:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-  
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="INTEGER.html"><font color="#008000">INTEGER</font></a>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_pointer</font></strong>:<a href="POINTER.html"><font color="#008000">POINTER</font></a>         <- 



</body>
</html>

